var config  = require('./gulp/config.js');
var webpack = require('webpack');


module.exports = {
     name: 'node_config',
     target: 'node',
     debug: true,
     context: __dirname + '/' + config.js.src,
     entry: {
        'api' : __dirname + '/' + config.js.main,
        'api.min' : __dirname + '/' + config.js.main
     },
     output: {
         path: __dirname + config.js.dest,
         filename: '[name].js',
         library: config.project_name,
         libraryTarget: 'commonjs'
     },
     module: {
         loaders: [
            {
                test:  /\.json$/, loader: 'json-loader',
             }, {
                test: /\.js$/,
                exclude: /(node_modules|bower_components)/,
                loader: 'babel-loader'
             }
         ]
     },
     resolve: {
        extensions: ['', '.webpack.js', '.web.js', '.js']
    },
    plugins: [
        new webpack.DefinePlugin({
            'process.env': {
                // This has effect on the react lib size
                'NODE_ENV': JSON.stringify('production'),
		'API_URL': 'http://127.0.0.1:8000',
            }
        }),	
        new webpack.optimize.OccurenceOrderPlugin(),
        new webpack.optimize.UglifyJsPlugin({
            comments: false,
            include: /\.min\.js$/,
            mangle: false,
            minimize: true,
            compress: {
                unused: true,
                dead_code: true,
                warnings: false,
                drop_debugger: true,
                drop_console: true
            }
        })
    ]
 }
